/*
 * Created on 2005. 5. 3.
 */
package net.javajigi.security.service.impl;

import java.util.List;

import net.javajigi.security.dao.UserDAO;
import net.javajigi.security.model.User;
import net.javajigi.security.service.UserManager;

/**
 * @author ¹ÚÀç¼º
 */
public class UserManagerImpl implements UserManager {
	private UserDAO userDAO = null;

	/*
	 * (non-Javadoc)
	 * 
	 * @see net.javajigi.user.service.UserManager#setUserDAO(net.javajigi.user.dao.UserDAO)
	 */
	public void setUserDAO(UserDAO newUserDAO) {
		this.userDAO = newUserDAO;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see net.javajigi.user.service.UserManager#addUser(net.javajigi.user.model.User)
	 */
	public void addUser(User newUser) {
		userDAO.addUser(newUser);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see net.javajigi.user.service.UserManager#updateUser(net.javajigi.user.model.User)
	 */
	public void updateUser(User newUser) {
		userDAO.updateUser(newUser);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see net.javajigi.user.service.UserManager#removeUser(java.lang.String)
	 */
	public void removeUser(String userId) {
		userDAO.removeUser(userId);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see net.javajigi.user.service.UserManager#findUser(java.lang.String)
	 */
	public User findUser(String userId) {
		return userDAO.findUser(userId);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see net.javajigi.user.service.UserManager#findUserList()
	 */
	public List findUserList() {
		return userDAO.findUserList();
	}

}
